EDIT - bug #6382

option to supply user credentials in the admin setting for the freetext index triggers

01/24/2017 03:46 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version:

Description

The credentials must not be stored in the settings

Subtasks:

bug # 6393: manage/* web service can be used by ajax requests Closed
Related issues:
Follows (10 days) EDIT - bug #6248: allow machine clients to access /manage/... Closed
Associated revisions
Revision c9b3fcf5 - 01/24/2017 03:47 PM - Andreas Kohlbecker
fix #6382 option to supply user credentials in the admin setting for the freetext index
Revision ac32d8ec - 01/25/2017 06:09 PM - Andreas Kohlbecker
fix #6382 proper handling of authentication in cdm_ws_progress.js
History
#1 - 01/24/2017 03:46 PM - Andreas Kohlbecker
- Due date set to 12/19/2016
- Start date changed from 01/24/2017 to 12/19/2016
- Follows bug #6248: allow machine clients to access /manage/* OAuth2 protected web services added
#2 - 01/24/2017 03:47 PM - Andreas Kohlbecker
- Status changed from New to Resolved
- % Done changed from 0 to 50
Applied in changeset cdm-dataportal|c9b3fcf51a4ce188734069f350964233b0bd7aee.
#3 - 01/25/2017 04:40 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress
The modifed URLs in the trigger links do not work. It seems as if the Jquery ajax function in
cdmlib-remote-webapp/src/main/webapp/js/cdm_ws_progress.js is not able to handle the credentials in the URLs
#4 - 01/25/2017 06:10 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
Applied in changeset cdmliblac32d8ec395f8a22d3c787092f25c54a70ecOb2c.
#5 - 01/25/2017 06:10 PM - Andreas Kohlbecker
- Target version changed from Release 4.5 to Release 4.6
#6 - 01/27/2017 05:09 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
